Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class ServletConnection

    java.lang.Object
      org.apache.xmlrpc.webserver.ServletConnection

All Implemented Interfaces:
  ThreadPool.InterruptableTask, ThreadPool.Task

    public class ServletConnection

extends java.lang.Object
implements ThreadPool.InterruptableTask

`ServletWebServer's` `ThreadPool.Task` for handling a single servlet connection.

Constructor Summary
`ServletConnection(HttpServlet pServlet, java.net.Socket pSocket)` Creates a new instance.

Method Summary
`void` | `run()` Performs the task.
`void` | `shutdown()` Interrupts the task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletConnection

    public ServletConnection(HttpServlet pServlet,
                             java.net.Socket pSocket)
                      throws java.io.IOException

  Creates a new instance.

  Parameters:
    `pServlet` - The servlet, which ought to handle the request.
    `pSocket` - The socket, to which the client is connected.
  Throws:
    `java.io.IOException`

Method Detail

### run

    public void run()
             throws java.lang.Throwable

  Description copied from interface: `ThreadPool.Task`
  Performs the task.

  Specified by:
    `run` in interface `ThreadPool.Task`
  Throws:
    `java.lang.Throwable` - The task failed, and the worker thread won't be used again.

### shutdown

    public void shutdown()
                  throws java.lang.Throwable

  Description copied from interface: `ThreadPool.InterruptableTask`
  Interrupts the task.

  Specified by:
    `shutdown` in interface `ThreadPool.InterruptableTask`
  Throws:
    `java.lang.Throwable` - Shutting down the task failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.